%global momorel 2
Summary: personal photo management application
Name: f-spot
Version: 0.4.4
Release: %{momorel}m%{?dist}
License: GPL
Group: Applications/Multimedia
Source0: ftp://ftp.gnome.org/pub/gnome/sources/%{name}/0.4/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: f-spot-0.4.3.1-desktop.patch
Patch1: f-spot-0.4.4-install.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
URL: http://f-spot.org/Main_Page
BuildRequires: mono-devel >= 1.9.1
BuildRequires: libgnome-devel >= 2.20.1.1
BuildRequires: libexif-devel >= 0.6.16
BuildRequires: gnome-sharp-devel >= 2.16.1
BuildRequires: gnome-desktop-sharp-devel >= 2.20.1
BuildRequires: gtk-sharp2-devel >= 2.10.3
BuildRequires: gtk2-devel >= 2.12.8
BuildRequires: ndesk-dbus >= 0.6.0
BuildRequires: ndesk-dbus-glib >= 0.4.1
BuildRequires: sqlite-devel >= 3.5.2
BuildRequires: lcms-devel >= 1.16
BuildRequires: libgphoto2-devel >= 2.3.1
BuildRequires: gnome-icon-theme >= 2.20.0
BuildRequires: GConf2
BuildRequires: libjpeg
Prereq: gtk2-common

%description
F-Spot is a full-featured personal photo management application for
the GNOME desktop (http://www.gnome.org/).

%package devel
Summary: f-spot devel
Group: Development/Libraries
%description devel
F-Spot devel package

%prep
%setup -q
%patch0 -p1 -b .desktop
%patch1 -p1 -b .install

%build
intltoolize -f
autoreconf -vfi
%configure \
    --enable-static=no \
    --disable-schemas-install \
    --disable-scrollkeeper
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
gtk-update-icon-cache --quiet /usr/share/icons/hicolor
scrollkeeper-update 

%postun
/sbin/ldconfig
scrollkeeper-update 

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO
%{_bindir}/f-spot*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.dll*
%{_libdir}/%{name}/*.exe*
%{_libdir}/%{name}/*.so.*
%{_libdir}/%{name}/*.la

# maybe %%{_prefix}/lib
%{_libdir}/gio-sharp-unstable

%dir %{_libdir}/%{name}/extensions
%{_libdir}/%{name}/extensions/*.dll
%{_libdir}/%{name}/extensions/DefaultExporters.addin.xml
%{_libdir}/%{name}/f-spot.global.addins
%{_libexecdir}/gnome-screensaver/f-spot-screensaver
%{_datadir}/applications/f-spot-view.desktop
%{_datadir}/applications/f-spot.desktop
%{_datadir}/applications/screensavers/f-spot-screensaver.desktop
%{_datadir}/applications/f-spot-import.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/%{name}
%{_datadir}/omf/%{name}

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}/libfspot.so
%{_libdir}/%{name}/libfspoteog.so
%{_libdir}/%{name}/libfspotjpegtran.so
%{_libdir}/pkgconfig/f-spot.pc
%{_libdir}/pkgconfig/gio-sharp-unstable.pc

%changelog
* Sun Jun  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-2m)
- add Prereq: gtk2-common

* Thu May 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.4-1m)
- update to 0.4.4

* Thu May 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3.1-2m)
- fix desktop

* Thu May  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3.1-1m)
- update to 0.4.3.1

* Wed Apr 30 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.3-1m)
- update to 0.4.3

* Sun Apr 13 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2.20080413-1m)
- get from svn

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.4.2-2m)
- rebuild against gcc43

* Fri Feb 15 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.2-1m)
- update to 0.4.2

* Wed Dec  5 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.1-1m)
- update to 0.4.1

* Fri Aug  3 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.4.0-1m)
- update to 0.4.0

* Tue Mar  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.5-1m)
- update to 0.3.5

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.4-1m)
- update to 0.3.4

* Tue Feb  6 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.3-1m)
- update to 0.3.3

* Tue Jan 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.1-1m)
- update to 0.3.1

* Thu Nov 30 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.3.0-1m)
- update to 0.3.0

* Fri Oct 13 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.2-1m)
- update to 0.2.2

* Tue Sep 12 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.1-1m)
- update to 0.2.1

* Mon Sep 11 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-2m)
- delete patch0 (not used)

* Thu Sep  7 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.2.0-1m)
- initial build for Momonga Linux
